//
//  PomodoroWidget.swift
//  PomodoroWidget
//
//  Created by Matthew Newill on 12/03/2025.
//

import WidgetKit
import SwiftUI

struct PomodoroWidget: Widget {
    let kind: String = "PomodoroWidget"

    var body: some WidgetConfiguration {
        StaticConfiguration(kind: kind, provider: PomodoroProvider()) { entry in
            PomodoroWidgetView(entry: entry)
        }
        .configurationDisplayName("My Widget")
        .description("This is an example widget.")
    }
}

#Preview(as: .systemSmall) {
    PomodoroWidget()
} timeline: {
    PomodoroEntry(date: .now, timeRemaining: 1500, isRunning: false, selectedDuration: 1500)
    PomodoroEntry(date: .now, timeRemaining: 1200, isRunning: true, selectedDuration: 1500)
}
