//
//  PomodoroWidgetView.swift
//  PomodoroWidgetExtension
//
//  Created by Matthew Newill on 12/03/2025.
//

import SwiftUI
import WidgetKit

struct PomodoroWidgetView: View {
    var entry: PomodoroEntry

    var body: some View {
        ZStack {
            Color(.systemBackground)
            
            VStack {
                if entry.isRunning {
                    Text("⏳ \(entry.timeRemaining / 60):\(String(format: "%02d", entry.timeRemaining % 60)) left")
                        .font(.headline)
                        .multilineTextAlignment(.center)
                } else {
                    VStack {
                        Text("🍅")
                            .font(.title2)
                        Text("Pomodoro")
                            .font(.title2)
                        Text("\(entry.selectedDuration / 60) min")
                            .font(.caption)
                            .foregroundColor(.gray)
                    }
                }
            }
            .padding()
        }
        .containerBackground(.fill.tertiary, for: .widget)
    }
}
